//+------------------------------------------------------------------+
//|                                              MODIFY BY LEONID553 |
//+------------------------------------------------------------------+
#property copyright "leonid553@ya.ru"
#property link      "http://articles.mql4.com/ru/403"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 DodgerBlue
extern string  Symbol_1 = "FDAXH0";
extern string  Symbol_2 = "FTSEH0";
extern int N1 = 10;
extern int N2 = 10;
extern string  _________  = "===   ==="; 
extern int MA_per =  21;
extern int MA_fast = 13;
extern int ma_method=2;
extern int Price=6;
//---- buffers
double Symbol1[]; double Symbol2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
SetIndexStyle(0,DRAW_LINE);SetIndexBuffer(0,Symbol1);SetIndexLabel(0,Symbol_1); 
SetIndexStyle(1,DRAW_LINE);SetIndexBuffer(1,Symbol2);SetIndexLabel(1,Symbol_2); 
      return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()  {   return(0);  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {  //int limit;
     int counted_bars=IndicatorCounted();
  //----    
     if(counted_bars<0) return(-1);
  //----     
     if(counted_bars>0) counted_bars-=10;
     //limit=Bars-counted_bars;
  //----  
      int per1,per2;
      per1 = MA_per;   per2 = MA_fast; 
  //------------------------------------------------------------
   int limit=Bars - IndicatorCounted();  
   int k;    for(k = 0; k < limit; k++)   {  
 
       Symbol1[k]=
            (iMA(Symbol_1,Period(),per2,0,ma_method,Price,iBarShift(Symbol_1,0,Time[k],false))-
            iMA(Symbol_1,Period(),per1,0,ma_method,Price,iBarShift(Symbol_1,0,Time[k],false)))*N1  ;            
            
       Symbol2[k]=
            (iMA(Symbol_2,Period(),per2,0,ma_method,Price,iBarShift(Symbol_2,0,Time[k],false))-
            iMA(Symbol_2,Period(),per1,0,ma_method,Price,iBarShift(Symbol_2,0,Time[k],false)))*N2   ;           
      
                        }  
//=======     
string Delta  = DoubleToStr(Symbol1[0]-Symbol2[0],2);
string info = Symbol_1+"="+"."+" "+Symbol_2+"="+"."+
 " Delta="+Delta+"     " ;    IndicatorShortName(info);
//-----------------------------------------------------   
    return(0);
  }
//+------------------------------------------------------------------+